## org.eclipse.datatools.sqltools.result.internal.utils
Class StatusLogger

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.utils.StatusLogger

All Implemented Interfaces:
  ILogger

    public class StatusLogger

extends java.lang.Object
implements ILogger

Using Eclipse logger mechanism to log

Author:
  Dafan Yang

Constructor Summary
`StatusLogger(org.eclipse.core.runtime.ILog log, java.lang.String pluginId, java.util.ResourceBundle bundle)`

Method Summary
`void` `debug(java.lang.Object message)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `debug(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `debug(java.lang.String key)` For debug logging with no arguments
`void` `debug(java.lang.String key, java.lang.Object arg0)` For debug logging with one argument
`void` `debug(java.lang.String key, java.lang.Object[] args)` For debug logging methods where the number of args is greater than the methods provided.
`void` `debug(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For debug logging methods where the number of args is greater than the methods provided.
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For debug logging with 2 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For debug logging with 3 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For debug logging with 4 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For debug logging with 5 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For debug logging with 5 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For debug logging with 4 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For debug logging with 3 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For debug logging with 2 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For debug logging with one argument and a stack trace
`void` `debug(java.lang.String key, java.lang.Throwable tt)` For debug logging with no arguments but a stack trace
`void` `debugStr(java.lang.String str)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `error(java.lang.String key)` For error logging with no arguments
`void` `error(java.lang.String key, java.lang.Object arg0)` For error logging with one argument
`void` `error(java.lang.String key, java.lang.Object[] args)` For error logging methods where the number of args is greater than the methods provided.
`void` `error(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For error logging methods where the number of args is greater than the methods provided.
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For error logging with 2 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For error logging with 3 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For error logging with 4 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For error logging with 5 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For error logging with 5 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For error logging with 4 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For error logging with 3 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For error logging with 2 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For error logging with one argument and a stack trace
`void` `error(java.lang.String key, java.lang.Throwable tt)` For error logging with no arguments but a stack trace
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `fatal(java.lang.String key)` For fatal logging with no arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0)` For fatal logging with one argument
`void` `fatal(java.lang.String key, java.lang.Object[] args)` For fatal logging methods where the number of args is greater than the methods provided.
`void` `fatal(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For fatal logging methods where the number of args is greater than the methods provided.
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For fatal logging with 2 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For fatal logging with 3 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For fatal logging with 4 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For fatal logging with 5 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For fatal logging with 5 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For fatal logging with 4 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For fatal logging with 3 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For fatal logging with 2 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For fatal logging with one argument and a stack trace
`void` `fatal(java.lang.String key, java.lang.Throwable tt)` For fatal logging with no arguments but a stack trace
`void` `info(java.lang.Object message)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `info(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `info(java.lang.String key)` For info logging with no arguments
`void` `info(java.lang.String key, java.lang.Object arg0)` For info logging with one argument
`void` `info(java.lang.String key, java.lang.Object[] args)` For info logging methods where the number of args is greater than the methods provided.
`void` `info(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For info logging methods where the number of args is greater than the methods provided.
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For info logging with 2 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For info logging with 3 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For info logging with 4 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For info logging with 5 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For info logging with 5 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For info logging with 4 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For info logging with 3 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For info logging with 2 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For info logging with one argument and a stack trace
`void` `info(java.lang.String key, java.lang.Throwable tt)` For info logging with no arguments but a stack trace
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `warn(java.lang.String key)` For warn logging with no arguments
`void` `warn(java.lang.String key, java.lang.Object arg0)` For warn logging with one argument
`void` `warn(java.lang.String key, java.lang.Object[] args)` For warn logging methods where the number of args is greater than the methods provided.
`void` `warn(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For warn logging methods where the number of args is greater than the methods provided.
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For warn logging with 2 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For warn logging with 3 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For warn logging with 4 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For warn logging with 5 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For warn logging with 5 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For warn logging with 4 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For warn logging with 3 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For warn logging with 2 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For warn logging with one argument and a stack trace
`void` `warn(java.lang.String key, java.lang.Throwable tt)` For warn logging with no arguments but a stack trace

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusLogger

    public StatusLogger(org.eclipse.core.runtime.ILog log,
                        java.lang.String pluginId,
                        java.util.ResourceBundle bundle)

Method Detail

### fatal

    public void fatal(java.lang.Object message)

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key)

  Description copied from interface: `ILogger`
  For fatal logging with no arguments

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with no arguments but a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0)

  Description copied from interface: `ILogger`
  For fatal logging with one argument

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with one argument and a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Description copied from interface: `ILogger`
  For fatal logging with 2 arguments

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with 2 arguments and a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Description copied from interface: `ILogger`
  For fatal logging with 3 arguments

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with 3 arguments and a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Description copied from interface: `ILogger`
  For fatal logging with 4 arguments

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with 4 arguments and a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Description copied from interface: `ILogger`
  For fatal logging with 5 arguments

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging with 5 arguments and a stack trace

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object[] args)

  Description copied from interface: `ILogger`
  For fatal logging methods where the number of args is greater than the methods provided.

  Specified by:
    `fatal` in interface `ILogger`

### fatal

    public void fatal(java.lang.String key,
                      java.lang.Object[] args,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For fatal logging methods where the number of args is greater than the methods provided.

  Specified by:
    `fatal` in interface `ILogger`

### error

    public void error(java.lang.Object message)

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key)

  Description copied from interface: `ILogger`
  For error logging with no arguments

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with no arguments but a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0)

  Description copied from interface: `ILogger`
  For error logging with one argument

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with one argument and a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Description copied from interface: `ILogger`
  For error logging with 2 arguments

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with 2 arguments and a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Description copied from interface: `ILogger`
  For error logging with 3 arguments

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with 3 arguments and a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Description copied from interface: `ILogger`
  For error logging with 4 arguments

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with 4 arguments and a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Description copied from interface: `ILogger`
  For error logging with 5 arguments

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging with 5 arguments and a stack trace

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object[] args)

  Description copied from interface: `ILogger`
  For error logging methods where the number of args is greater than the methods provided.

  Specified by:
    `error` in interface `ILogger`

### error

    public void error(java.lang.String key,
                      java.lang.Object[] args,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For error logging methods where the number of args is greater than the methods provided.

  Specified by:
    `error` in interface `ILogger`

### warn

    public void warn(java.lang.Object message)

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key)

  Description copied from interface: `ILogger`
  For warn logging with no arguments

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with no arguments but a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0)

  Description copied from interface: `ILogger`
  For warn logging with one argument

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with one argument and a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Description copied from interface: `ILogger`
  For warn logging with 2 arguments

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with 2 arguments and a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Description copied from interface: `ILogger`
  For warn logging with 3 arguments

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with 3 arguments and a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Description copied from interface: `ILogger`
  For warn logging with 4 arguments

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with 4 arguments and a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Description copied from interface: `ILogger`
  For warn logging with 5 arguments

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging with 5 arguments and a stack trace

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object[] args)

  Description copied from interface: `ILogger`
  For warn logging methods where the number of args is greater than the methods provided.

  Specified by:
    `warn` in interface `ILogger`

### warn

    public void warn(java.lang.String key,
                     java.lang.Object[] args,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For warn logging methods where the number of args is greater than the methods provided.

  Specified by:
    `warn` in interface `ILogger`

### info

    public void info(java.lang.Object message)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key)

  Description copied from interface: `ILogger`
  For info logging with no arguments

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with no arguments but a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0)

  Description copied from interface: `ILogger`
  For info logging with one argument

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with one argument and a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Description copied from interface: `ILogger`
  For info logging with 2 arguments

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with 2 arguments and a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Description copied from interface: `ILogger`
  For info logging with 3 arguments

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with 3 arguments and a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Description copied from interface: `ILogger`
  For info logging with 4 arguments

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with 4 arguments and a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Description copied from interface: `ILogger`
  For info logging with 5 arguments

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object arg0,
                     java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging with 5 arguments and a stack trace

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object[] args)

  Description copied from interface: `ILogger`
  For info logging methods where the number of args is greater than the methods provided.

  Specified by:
    `info` in interface `ILogger`

### info

    public void info(java.lang.String key,
                     java.lang.Object[] args,
                     java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For info logging methods where the number of args is greater than the methods provided.

  Specified by:
    `info` in interface `ILogger`

### debug

    public void debug(java.lang.Object message)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key)

  Description copied from interface: `ILogger`
  For debug logging with no arguments

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with no arguments but a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0)

  Description copied from interface: `ILogger`
  For debug logging with one argument

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with one argument and a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Description copied from interface: `ILogger`
  For debug logging with 2 arguments

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with 2 arguments and a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Description copied from interface: `ILogger`
  For debug logging with 3 arguments

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with 3 arguments and a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3)

  Description copied from interface: `ILogger`
  For debug logging with 4 arguments

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with 4 arguments and a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4)

  Description copied from interface: `ILogger`
  For debug logging with 5 arguments

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object arg0,
                      java.lang.Object arg1,
                      java.lang.Object arg2,
                      java.lang.Object arg3,
                      java.lang.Object arg4,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging with 5 arguments and a stack trace

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object[] args)

  Description copied from interface: `ILogger`
  For debug logging methods where the number of args is greater than the methods provided.

  Specified by:
    `debug` in interface `ILogger`

### debug

    public void debug(java.lang.String key,
                      java.lang.Object[] args,
                      java.lang.Throwable tt)

  Description copied from interface: `ILogger`
  For debug logging methods where the number of args is greater than the methods provided.

  Specified by:
    `debug` in interface `ILogger`

### debugStr

    public void debugStr(java.lang.String str)

  Specified by:
    `debugStr` in interface `ILogger`